<template>
  <div>

    <b-card
      no-body
      class="mb-0"
    >
        <div>
          <client-view-info-card :clientData="client"></client-view-info-card>
        </div>
        <hr>
        <div>
          <client-projects-table></client-projects-table>
        </div>

    </b-card>
    


  </div>
</template>

<script>
import {
  BSidebar, BForm, BFormGroup, BFormInput, BFormInvalidFeedback, BButton,BTab, BTabs, BCard, BAlert, BLink,
} from 'bootstrap-vue'
import ClientViewInfoCard from './ClientViewInfoCard.vue'
import ClientProjectsTable from './ClientProjectsTable.vue'
export default {
  components: {
    BTab,
    BTabs,
    BCard,
    BAlert,
    BLink,
    BSidebar,
    BForm,
    BFormGroup,
    BFormInput,
    BFormInvalidFeedback,
    BButton,
    ClientViewInfoCard,
    ClientProjectsTable

 
  },

  data(){
    return{
      client:{
        name:'',
        rfc:'',
        currency_type:'',
        id:this.$route.params.id,

      },
     

    }
  },
  methods:{

    back(){
      this.$router.push({ name: 'apps-clients-list' })
    },
    getUserData(){
      this.$http.get('clients/show',{params:{id:this.$route.params.id}}).then(res=>{
        this.client.name=res.data.client.name
        this.client.rfc= res.data.client.rfc
        this.client.currency_type= res.data.client.currency_type
      }).catch(function (error){
        console.log(error)
       
        console.log(error.response.data.errors)

      })
    }
  },
  mounted(){
    this.getUserData()
  }

}
</script>

<style>

</style>
